KateArbitraryHighlight Class Reference

`#include <katearbitraryhighlight.h>`

Inherits QObject.

## Signals

void | tagLines (KateView *view, KateSuperRange *range)

## Public Member Functions

| KateArbitraryHighlight (KateDocument *parent=0L, const char *name=0L)
void | addHighlightToDocument (KateSuperRangeList *list)
void | addHighlightToView (KateSuperRangeList *list, KateView *view)
KateSuperRangeList & | rangesIncluding (uint line, KateView *view=0L)

## Detailed Description

An arbitrary highlighting interface for Kate.

Ideas for more features:

- integration with syntax highlighting:
  - eg. a signal for when a new context is created, destroyed, changed
  - hopefully make this extension more complimentary to the current syntax highlighting
- signal for cursor movement
- signal for mouse movement
- identical highlight for whole list
- signals for view movement

Definition at line 60 of file katearbitraryhighlight.h.

The documentation for this class was generated from the following files:

- katearbitraryhighlight.h
- katearbitraryhighlight.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys